From 88a80011e44d1c61f66d1827a3446957d58024ac Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?S=C3=A9bastien=20Luttringer?= <seblu@seblu.net>
Date: Sat, 3 Feb 2018 15:16:49 +0100
Subject: [PATCH] update_config.sh: call menuconfig when identical

---
 update_config.sh | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

diff --git a/update_config.sh b/update_config.sh
index f761ddb..d39ad0d 100755
--- a/update_config.sh
+++ b/update_config.sh
@@ -1,10 +1,19 @@
 #!/bin/bash -e
 
-[[ -e src/linux/.config ]] || makepkg --nobuild --force
+config_equal()
+{
+	diff -q -s src/linux/.config config.x86_64
+}
 
-(cd src/linux && make oldconfig)
+if config_equal; then
+	(cd src/linux && make menuconfig)
+else
+	[[ -e src ]] && rm -r src
+	makepkg --nobuild --force
+	(cd src/linux && make oldconfig)
+fi
 
-if ! diff -q -s src/linux/.config config.x86_64; then
+if ! config_equal; then
 	cp src/linux/.config config.x86_64
 	updpkgsums
 fi
-- 
GitLab